package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.R;
import com.lz.modules.flow.entity.FlowDepartment;
import com.lz.modules.flow.entity.FlowManager;

import java.util.List;

/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
public interface FlowDepartmentService extends IService<FlowDepartment> {



	FlowDepartment selectFlowDepartmentById(Long id);


	Long insertFlowDepartment(FlowDepartment flowDepartment);


	int updateFlowDepartmentById(FlowDepartment flowDepartment);


	int updateCoverFlowDepartmentById(FlowDepartment flowDepartment);


	int deleteFlowDepartmentById(Long id);


    FlowDepartment selectByStaffId(Long staffId);

	FlowDepartment selectByParentId(Long parentId);

   R selectFlowManager(Long staffId);
}